#
# spec file for package xwd
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xwd
Version:        1.0.6
Release:        lp151.2.3
Summary:        Utility to dump an image of an X window
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xwd is an X Window System window dumping utility. It allows X users to
store window images in a specially formatted dump file. This file can
then be read by various other X utilities for redisplay, printing,
editing, formatting, archiving, image processing, etc.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xwd
%{_mandir}/man1/xwd.1%{?ext_man}

%changelog
* Wed Aug 14 2013 zaitor@opensuse.org
- Update to version 1.0.6:
  + Strip trailing whitespace.
  + Fix some clang warnings about integer size/sign conversions.
  + Quiet gcc warnings about potentially uninitialized variables.
  + Remove unused bitmap_unit variable from ReadRegionsInList().
  + Rename new_list variable to not shadow new_list function.
  + Add printf attributes as suggested by
    gcc -Wmissing-format-attribute.
  + Fix gcc warnings about discarding const qualifiers.
  + Optionally enable existing code to call XkbStdBell from
    libxkbfile.
  + Move Pixel typedef from xwd.c to wsutils.h.
- Drop xwd-no-xt-dependency.patch: fixed upstream.
- Add pkgconfig(xkbfile) BuildRequires, new dependency.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.5:
  + Mark usage as _X_NORETURN.
  + Dead code removal.
  + Fix LP64 bug.
  + Replace local checks for gcc with _X_NORETURN from xproto
    7.0.17.
  + Rewrite parse_long to not fail -Wformat-nonliteral.
  + Man page fixes.
  + Build system fixes.
- Add pkgconfig(xproto) BuildRequires: New upstream dependency.
- Add xwd-no-xt-dependency.patch: Removes need for including
  <X11/Intrinsic.h> in multiVis.c just to get the Pixel typedef.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xwd from xorg-x11. Initial version: 1.0.4.
